
/*
 * Fichier CSS utilisé pour le design de tous les menus du logiciel
 */

*
{
    font-family: Arial;
}


/**********************/
/* Design lié au logo */
/**********************/

#div_logo
{
	text-align : center;
	
	width : 600px;
}

#logo
{
	width : 120px;
	
	margin-top : 10px;
	margin-bottom : 25px;
}


/* fieldset, utiliser pour le menu de paramétrage et de design */
fieldset
{
    margin-bottom : 5px;
    border : 1px dashed #999999;
    
    background-color : #f8f8f8;
}


/* Bouton de sauvegarde placé en bas du menu de paramétrage */
#bouton_valider 
{
    width : 100%; 
    left : 0px; 
    padding-top : 10px;
    padding-bottom : 10px;
    padding-left : 100px;
    padding-right : 100px;
    position: fixed;
    bottom : -2px;
    font-size: 25px;
    
    font-weight: bold;
    
    border: 2px solid #e9d8b7;
	border-radius: 10px 10px 0px 0px;
    
    background: linear-gradient( to bottom, #f5eddd, #eee2cb);
}

#bouton_valider:hover
{
	background: linear-gradient( to bottom, #e9d8b7, #eee2cb);
}

#form_charger_fichier_param
{
	background-color : #eeeeee;
	
	display : inline-block;
	border : 1px solid grey;
	
	padding-left : 20px;
	padding-right : 20px;
	padding-top : 5px;
	padding-bottom : 5px;
	
	border-radius: 6px;
}

#input_charger_fichier_param
{
	width: 350px;
	
	margin-left : 10px;
	margin-right : 10px;
}

input
{
    display : inline-block;

    margin-top: 2px;
    margin-bottom: 2px;
    
    width: 200px;
    
    text-decoration: none; 
}

label
{
    text-decoration: underline; 
}

option
{
    text-decoration: none; 
}

p
{
    margin-top: 2px;
    margin-bottom: 2px;
    
    margin-left: 5px;
    
    text-decoration : none;
} 

.titre_params1
{ 
    margin-top: 5px; 
    margin-bottom: 5px; 
    
    font-size: 23px;
    font-weight: bold;
} 

.titre_params2
{ 
    margin-top: 5px; 
    margin-bottom: 2px; 
} 

.nom_element
{
    display : inline-block;
    width: 275px;
    margin-left : 10px;
    margin-right : 10px;
}

/* Bouton permettant d'effectuer un export de fichier */
#lien_export_parametre
{
	display : inline-block;

	padding-left : 20px;
    padding-right : 20px;
    padding-top : 5px;
    padding-bottom : 5px;
    
    margin-top : 10px;
    margin-bottom : 10px;
    
    color : #444444;
    
    text-decoration: none; 
    
    background-color : #eeeeee;
    
    background: linear-gradient( to bottom, #eeeeee, #dddddd);
    
    border : 1px solid #999999;
    border-radius : 4px;
}

#lien_export_parametre:hover
{
	background-color : #cccccc;
	
	background: linear-gradient( to bottom, #cccccc, #dddddd);
}

#lien_export_parametre:active 
{
    border-color : #b0753c;
}

/* Design selon le type de champs texte */
.champ_texte_normal
{
    width: 400px;
}

.champ_texte_grand
{
    width: 800px;
}

.champ_texte_area
{
    width: 800px;
}

/* */
select
{ 
    width: 215px;
}

.check
{
    width: 40px;
}



/* Bouton de retour placé sur tous les menus */
#bouton_retour
{
	display: inline-block;

	border : 1px solid #70AFA7;
	
	padding : 6px;
	
	padding-left : 30px;
	padding-right : 30px;
	
	margin-top : 1px;
	
	border-radius: 8px;
	
	background-color : #DAF6F2;
	
	background: linear-gradient( to bottom, #e7f8f5, #bee4de); 
	
	font-weight: bold;
	
	text-decoration: none;
}

#bouton_retour:hover
{
	background: linear-gradient( to bottom, #bee4de, #b9e6e0); 
}

/* Image placé sur le bouton de retour */
#image_retour
{
	margin-right : 10px;
	
	margin-bottom : -2px;
	
	width: 24px;
	height: 15px;
}

#form_retour_menu
{
	margin : 0px; 
	padding : 0px;
}

/* Message affiché lorsque la connexion à la base de neo4j échoue */
.message_echec_connexion
{
	text-align : center;
	
	color:red;
}


/* Designe des boutons du menu principal */
.bouton_menu
{
	display : block;
	
	color : black;
	font-size: 17px;
	font-family: Arial;
	font-weight: bold;
	
	border: 2px solid #CFD0CF;
	border-radius: 20px;
	
	padding-top : 15px;
	padding-bottom : 15px;
	
	width : 600px;

	text-align : center;
	
	margin-bottom : 12px;
	
	margin-left : 10px;
}

.bouton_menu:hover
{

}

.lien_menu
{
	text-decoration : none;
}

#bouton_menu_logiciel
{
	background: linear-gradient( to bottom, #ffeece, #f8e1b6);
	
	border-color : #f5d69a;
}

#bouton_menu_logiciel:hover
{
	background: linear-gradient( to bottom, #f5d69a, #f8e1b6);
	
	box-shadow: 0px 0px 15px 5px #ffeece;
}

#bouton_menu_design
{
	background: linear-gradient( to bottom, #f7fbe3, #e8f0c5);
	
	border-color : #dee9ad;
}

#bouton_menu_design:hover
{
	background: linear-gradient( to bottom, #dee9ad, #e8f0c5);
	
	box-shadow: 0px 0px 15px 5px #f7fbe3;
}

#bouton_menu_parametrage
{
	background: linear-gradient( to bottom, #e0f8e3, #bde9c1);
	
	border-color : #a6e2ab;
}

#bouton_menu_parametrage:hover
{
	background: linear-gradient( to bottom, #a6e2ab, #bde9c1);
	
	box-shadow: 0px 0px 15px 5px #d0ecd4;
}

#bouton_menu_donnees
{
	background: linear-gradient( to bottom, #e0f8f8, #bde9e9);
	
	border-color : #a6e2e2;
}

#bouton_menu_donnees:hover
{
	background: linear-gradient( to bottom, #a6e2e2, #bde9e9);
	
	box-shadow: 0px 0px 15px 5px #e0f8f8;
}

#bouton_menu_requete
{
	background: linear-gradient( to bottom, #e0e4f8, #bdc4e9);
	
	border-color : #a6b0e2;
}

#bouton_menu_requete:hover
{
	background: linear-gradient( to bottom, #a6b0e2, #bdc4e9);
	
	box-shadow: 0px 0px 15px 5px #e0e4f8;
}

#bouton_menu_aide
{
	background: linear-gradient( to bottom, #ece0f8, #d3bde9);
	
	border-color : #c4a6e2;
}

#bouton_menu_aide:hover
{
	background: linear-gradient( to bottom, #c4a6e2, #d3bde9);
	
	box-shadow: 0px 0px 15px 5px #ece0f8;
}


/* Image contenu dans les boutons du menu principale */
.img_menu_principal
{
	display : 	align-block;

	vertical-align: middle;
	
	margin-left : 20px;
	margin-right : 20px;
}

/* Titre du menu principale */
#titre_menu_principal
{
	margin-top : 18px;
	margin-bottom : 25px;

	width : 600px;
	
	margin-left : 10px;
	
	text-align : center;
}

/* Design liée au menu de gestion des données */
.bouton_donnees
{
	display : inline-block;
	
	color : black;
	font-size: 15px;
	font-family: Arial;

	border: 2px solid #CFD0CF;
	border-radius: 5px;
	
	padding-top : 5px;
	padding-bottom : 5px;
	
	width : 460px;

	text-align : center;
	
	margin-bottom : 12px;
	margin-left : 0px;
	
	background: linear-gradient( to bottom, #ddf6ff, #b8e1f0);
	
	border-color : #91c5d8;
	
	text-decoration: none;
}

.bouton_donnees:hover
{
	background: linear-gradient( to bottom, #91c5d8, #b8e1f0);
	
	box-shadow: 0px 0px 15px 5px #ddf6ff;
}


.form_menu_donnees
{

}

/* Message d'afficher lors des erreurs chargement de document CSV  */
p.message_erreur_chargement_CSV
{
	color : #ce1616;
	
	font-style: italic;
}

p.message_donnees
{
	color : #2eba2e;
	
	font-style: italic;
}

/*  */
fieldset.fieldset_menu_donnees
{	
	display : inline-block;
	
	width : 1000px;

	border : 2px solid #b4cdff;
  
	border-radius:8px;	
  
	background : #e6eeff;
  
	padding : 10px;	
}

/* Bouton d'ajout des fichier du menu de données */
.input_ajout_fichier
{
	text-align: left;
	
	display : inline-block;
    
    width: 500px;
}

/* Label du bouton d'ajout des fichier du menu de données */
.label_ajout_fichier
{
	display : inline-block;

	width: 320px;
}

legend 
{
	font-weight: bold;
}

/* Design pour le fichier d'affichage du contenu de la base de donnée */
table 
{
	border-collapse: collapse;
}

td
{
	border : 2px solid black;
	
	margin : 0px;
	padding : 8px;
}

tr
{
	
}

.fleche
{
	width: 16px;
	height: 10px;
	
	background-color: black;
	
	margin-left : 5px;
	margin-right : 5px;
}

.titre_menu_afficher_contenu
{
	margin-bottom : 8px;
}


.select_menu_requete
{
	
}

#bouton_generer_menu_requete
{
	width : 300px;
	height : 35px;
}

#input_requete
{
	width : 750px;
}

#text_input_requete
{
	display: none;
}




